<?php
/*
Plugin Name:comment disable 
Plugin URI: http://www.tamura.tottori.jp/2015/03/16/wordpress-plugin-comment-disable
Description: ログインユーザー以外、コメント機能を使用できないようにします。既に投稿されたコメントは表示されます
Version: 1.0
Author: T.Tamura
Author URI: http://www.tamura.tottori.jp
 */

function comment_manage( $open, $post_id) {
    if (is_user_logged_in()) {
        return $open;
    }
    return false;
}
add_filter( 'comments_open', 'comment_manage', 10 , 2);



// 完全に非表示にする場合はこちら。
//add_filter( 'comments_open', '__return_false');

?>
